### Method

# Gtk TextBufferinsert_child_anchor

#### Declaration [src]

    void
    gtk_text_buffer_insert_child_anchor (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      GtkTextChildAnchor* anchor
    )

#### Description [src]

Inserts a child widget anchor into the text buffer at `iter`.

The anchor will be counted as one character in character counts, and when obtaining the buffer contents as a string, will be represented by the Unicode “object replacement character” 0xFFFC. Note that the “slice” variants for obtaining portions of the buffer as a string include this character for child anchors, but the “text” variants do not. E.g. see `gtk_text_buffer_get_slice()` and `gtk_text_buffer_get_text()`.

Consider `gtk_text_buffer_create_child_anchor()` as a more convenient alternative to this function. The buffer will add a reference to the anchor, so you can unref it after insertion.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Location to insert the anchor.

  The data is owned by the caller of the method.

`anchor`

  Type: `GtkTextChildAnchor`

  A `GtkTextChildAnchor`

  The data is owned by the caller of the method.